SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
FileListNodeContext Struct Reference

`#include <slikenet/FileListNodeContext.h>`

## Public Member Functions

| FileListNodeContext ()
| FileListNodeContext (unsigned char o, uint32_t f1, uint32_t f2, uint32_t f3)
| ~FileListNodeContext ()

## Public Attributes

unsigned char | op
uint32_t | flnc_extraData1
uint32_t | flnc_extraData2
uint32_t | flnc_extraData3
void * | dataPtr
unsigned int | dataLength

## Detailed Description

Definition at line 25 of file FileListNodeContext.h.

## Constructor & Destructor Documentation

FileListNodeContext::FileListNodeContext | ( |  | ) |

inline

Definition at line 27 of file FileListNodeContext.h.

References dataLength, and dataPtr.

FileListNodeContext::FileListNodeContext | ( | unsigned char | o,
|  | uint32_t | f1,
|  | uint32_t | f2,
|  | uint32_t | f3
| ) |  |

inline

Definition at line 28 of file FileListNodeContext.h.

References dataLength, and dataPtr.

FileListNodeContext::~FileListNodeContext | ( |  | ) |

inline

Definition at line 29 of file FileListNodeContext.h.

## Member Data Documentation

unsigned int FileListNodeContext::dataLength

Definition at line 36 of file FileListNodeContext.h.

Referenced by FileListNodeContext().

void* FileListNodeContext::dataPtr

Definition at line 35 of file FileListNodeContext.h.

Referenced by FileListNodeContext().

uint32_t FileListNodeContext::flnc_extraData1

Definition at line 32 of file FileListNodeContext.h.

Referenced by operator<<(), and operator>>().

uint32_t FileListNodeContext::flnc_extraData2

Definition at line 33 of file FileListNodeContext.h.

Referenced by operator<<(), and operator>>().

uint32_t FileListNodeContext::flnc_extraData3

Definition at line 34 of file FileListNodeContext.h.

Referenced by operator<<(), and operator>>().

unsigned char FileListNodeContext::op

Definition at line 31 of file FileListNodeContext.h.

Referenced by operator<<(), and operator>>().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/FileListNodeContext.h